summaryrefslogtreecommitdiff
path: root/tests/side-effectful-pathnames.test.sh
diff options
context:
space:
mode:
authorWilliam Harold Newman <william.newman@airmail.net>2000-12-19 14:13:04 +0000
committerWilliam Harold Newman <william.newman@airmail.net>2000-12-19 14:13:04 +0000
commita8f2656f635d81ec326303f47e0612fb1f35fd91 (patch)
treefcee5c63f41244b3ef03f177ef07cac2477188ce /tests/side-effectful-pathnames.test.sh
parent60011b86627fa68eeacffd49c49826e474c7fd82 (diff)
0.6.9.8:
MNA logical pathname patch (sbcl-devel Dec 12), lightly subbed added most MNA logical pathname regression tests to tests/ belatedly bumped fasl file version because package SB-CONDITIONS is gone
Diffstat (limited to 'tests/side-effectful-pathnames.test.sh')
-rw-r--r--tests/side-effectful-pathnames.test.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/tests/side-effectful-pathnames.test.sh b/tests/side-effectful-pathnames.test.sh
new file mode 100644
index 000000000..29f3596b4
--- /dev/null
+++ b/tests/side-effectful-pathnames.test.sh
@@ -0,0 +1,31 @@
+#!/bin/sh
+
+# FIXME: MNA wrote the tests below to work with the new
+# lp-test-file.lisp file in place. It'd be good to replace them either
+# with code which uses an existing distribution file instead, or with
+# code which creates a new file in $TMPDIR and uses that. Meanwhile,
+# we just return success immediately instead of doing anything.
+exit 104
+
+;;; loading files w/ logical pathnames
+(setf (logical-pathname-translations "TEST")
+ '(("**;*.*.*"
+ #.(concatenate 'string
+ (namestring (sb-int:default-directory))
+ "**/*.*"))
+ ("**;*.*.*"
+ #.(concatenate 'string
+ (namestring (sb-int:default-directory))
+ "**/*.*.*"))))
+(assert (equal (namestring (translate-logical-pathname
+ "test:lp-test-file.lisp"))
+ #.(concatenate 'string
+ (namestring (sb-int:default-directory))
+ "lp-test-file.lisp")))
+(load "TEST:LP-TEST-FILE")
+(let ((compiled-file-name (namestring (compile-file "TEST:LP-TEST-FILE")))
+ (should-be-file-name
+ #.(concatenate 'string
+ (namestring (sb-int:default-directory))
+ "lp-test-file.x86f")))
+ (assert (equal compiled-file-name should-be-file-name)))